'\" t
.\"     Title: newusers
.\"    Author: Julianne Frances Haugh
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22/08/2022
.\"    Manual: Commandes de gestion du syst\(`eme
.\"    Source: shadow-utils 4.12.3
.\"  Language: French
.\"
.TH "NEWUSERS" "8" "22/08/2022" "shadow\-utils 4\&.12\&.3" "Commandes de gestion du syst\(`em"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NOM"
newusers \- Mettre \(`a jour, ou cr\('eer de nouveaux utilisateurs par lots
.SH "SYNOPSIS"
.HP \w'\fBnewusers\fR\ 'u
\fBnewusers\fR [\fIoptions\fR] [\fIfichier\fR]
.SH "DESCRIPTION"
.PP
The
\fBnewusers\fR
command reads a
\fIfile\fR
(or the standard input by default) and uses this information to update a set of existing users or to create new users\&. Each line is in the same format as the standard password file (see
\fBpasswd\fR(5)) with the exceptions explained below:
.PP
pw_name:pw_passwd:pw_uid:pw_gid:pw_gecos:pw_dir:pw_shell
.PP
\fIpw_name\fR
.RS 4
C\*(Aqest le nom de l\*(Aqutilisateur\&.
.sp
It can be the name of a new user or the name of an existing user (or a user created before by
\fBnewusers\fR)\&. In case of an existing user, the user\*(Aqs information will be changed, otherwise a new user will be created\&.
.RE
.PP
\fIpw_passwd\fR
.RS 4
Ce champ sera chiffr\('e et utilis\('e comme nouvelle valeur du mot de passe chiffr\('e\&.
.RE
.PP
\fIpw_uid\fR
.RS 4
Ce champ est utilis\('e pour d\('efinir l\*(AqUID de l\*(Aqutilisateur\&.
.sp
If the field is empty, a new (unused) UID will be defined automatically by
\fBnewusers\fR\&.
.sp
Si ce champ contient un nombre, ce nombre sera utilis\('e comme UID\&.
.sp
If this field contains the name of an existing user (or the name of a user created before by
\fBnewusers\fR), the UID of the specified user will be used\&.
.sp
Si l\*(AqUID d\*(Aqun utilisateur existant est modifi\('e, vous devrez configurer vous\-m\(^eme le propri\('etaire des fichiers de l\*(Aqutilisateur\&.
.RE
.PP
\fIpw_gid\fR
.RS 4
Ce champ est utilis\('e pour d\('efinir l\*(Aqidentifiant du groupe primaire de l\*(Aqutilisateur\&.
.sp
If this field contains the name of an existing group (or a group created before by
\fBnewusers\fR), the GID of this group will be used as the primary group ID for the user\&.
.sp
Si ce champ est un nombre, ce nombre sera utilis\('e comme identifiant de groupe primaire de cet utilisateur\&. Si aucun groupe n\*(Aqexiste avec ce GID, un nouveau groupe sera cr\('e\('e avec ce GID et le nom de l\*(Aqutilisateur\&.
.sp
If this field is empty, a new group will be created with the name of the user and a GID will be automatically defined by
\fBnewusers\fR
to be used as the primary group ID for the user and as the GID for the new group\&.
.sp
If this field contains the name of a group which does not exist (and was not created before by
\fBnewusers\fR), a new group will be created with the specified name and a GID will be automatically defined by
\fBnewusers\fR
to be used as the primary group ID for the user and GID for the new group\&.
.RE
.PP
\fIpw_gecos\fR
.RS 4
Ce champ est copi\('e dans le champ GECOS de l\*(Aqutilisateur\&.
.RE
.PP
\fIpw_dir\fR
.RS 4
Ce champ est utilis\('e pour d\('efinir le r\('epertoire personnel de l\*(Aqutilisateur\&.
.sp
If this field does not specify an existing directory, the specified directory is created, with ownership set to the user being created or updated and its primary group\&. Note that
\fInewusers does not create parent directories \fR
of the new user\*(Aqs home directory\&. The newusers command will fail to create the home directory if the parent directories do not exist, and will send a message to stderr informing the user of the failure\&. The newusers command will not halt or return a failure to the calling shell if it fails to create the home directory, it will continue to process the batch of new users specified\&.
.sp
If the home directory of an existing user is changed,
\fBnewusers\fR
does not move or copy the content of the old directory to the new location\&. This should be done manually\&.
.RE
.PP
\fIpw_shell\fR
.RS 4
Ce champ d\('efinit l\*(Aqinterpr\('eteur de commande de l\*(Aqutilisateur\&. Aucune v\('erification n\*(Aqest effectu\('ee sur ce champ\&.
.RE
.PP
\fBnewusers\fR
first tries to create or change all the specified users, and then write these changes to the user or group databases\&. If an error occurs (except in the final writes to the databases), no changes are committed to the databases\&.
.PP
Cette commande a \('et\('e con\(,cue pour les gros syst\(`emes pour lesquels un grand nombre de comptes sont mis \(`a jour en m\(^eme temps\&.
.SH "OPTIONS"
.PP
The options which apply to the
\fBnewusers\fR
command are:
.PP
\fB\-\-badname\fR\ \&
.RS 4
Allow names that do not conform to standards\&.
.RE
.PP
\fB\-c\fR, \fB\-\-crypt\-method\fR
.RS 4
Utiliser la m\('ethode pr\('ecis\('ee pour chiffrer les mots de passe\&.
.sp
Les m\('ethodes disponibles sont DES, MD5, NONE et SHA256 ou SHA512 si votre libc prend en charge ces m\('ethodes\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Afficher un message d\*(Aqaide et quitter\&.
.RE
.PP
\fB\-r\fR, \fB\-\-system\fR
.RS 4
Cr\('eer un compte syst\(`eme\&.
.sp
System users will be created with no aging information in
/etc/shadow, and their numeric identifiers are chosen in the
\fBSYS_UID_MIN\fR\-\fBSYS_UID_MAX\fR
range, defined in
login\&.defs, instead of
\fBUID_MIN\fR\-\fBUID_MAX\fR
(and their
\fBGID\fR
counterparts for the creation of groups)\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-sha\-rounds\fR
.RS 4
Utiliser le nombre de rounds pr\('ecis\('e pour chiffrer les mots de passe\&.
.sp
La valeur 0 signifie que le syst\(`eme choisira la valeur par d\('efaut du nombre de rounds pour la m\('ethode de chiffrement (5\ \&000)\&.
.sp
Une valeur minimale de 1\ \&000 et une valeur maximale de 999\ \&999\ \&999 seront impos\('ees\&.
.sp
Vous ne pouvez utiliser cette m\('ethode qu\*(Aqavec les m\('ethodes de chiffrement SHA256 ou SHA512\&.
.sp
By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in
/etc/login\&.defs\&.
.RE
.SH "AVERTISSEMENTS"
.PP
Le fichier d\*(Aqentr\('ee doit \(^etre correctement prot\('eg\('e puisqu\*(Aqil contient des mots de passe en clair\&.
.PP
Vous devez vous assurer que les mots de passe et la m\('ethode de chiffrement respectent la politique de mot de passe du syst\(`eme\&.
.SH "CONFIGURATION"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:





.SH "FICHIERS"
.PP
/etc/passwd
.RS 4
Informations sur les comptes des utilisateurs\&.
.RE
.PP
/etc/shadow
.RS 4
Informations s\('ecuris\('ees sur les comptes utilisateurs\&.
.RE
.PP
/etc/group
.RS 4
Informations sur les groupes\&.
.RE
.PP
/etc/gshadow
.RS 4
Informations s\('ecuris\('ees sur les groupes\&.
.RE
.PP
/etc/login\&.defs
.RS 4
Configuration de la suite des mots de passe cach\('es \(Fo\ \&shadow password\ \&\(Fc\&.
.RE
.PP
/etc/subgid
.RS 4
IDs des groupes subalternes d\*(Aqun utilisateur\&.
.RE
.PP
/etc/subuid
.RS 4
IDs de utilisateurs subalternes d\*(Aqun utilisateur\&.
.RE
.SH "VOIR AUSSI"
.PP
\fBlogin.defs\fR(5),
\fBpasswd\fR(1),
\fBsubgid\fR(5), \fBsubuid\fR(5),
\fBuseradd\fR(8)\&.
